using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Brovi11
{
    public partial class FormAdd : Form
    {
        public FormAdd()
        {
            InitializeComponent();
        }

        private void productBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.productBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this._1Brovi11DataSet);

        }

        private void FormAdd_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Manufacturer". При необходимости она может быть перемещена или удалена.
            this.manufacturerTableAdapter.Fill(this._1Brovi11DataSet.Manufacturer);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this._1Brovi11DataSet.Product);

        }

        private void button8_Click(object sender, EventArgs e)
        {
            productBindingSource.AddNew();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.manufacturerTableAdapter.Update(this._1Brovi11DataSet.Manufacturer);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Update(this._1Brovi11DataSet.Product);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FormaAdmin f1 = new FormaAdmin();
            f1.Show();
            this.Hide();
        }
    }
}
